#!/usr/bin/python
import os
import subprocess
import errno

def mkdir_p(path):
    try:
        os.makedirs(path)
    except OSError as exc: # Python >2.5
        if exc.errno == errno.EEXIST:
            pass
        else: raise

def publish(src,target):
    cmd = ["rsync","-a","--delete",src,target]
    retcode = subprocess.call(cmd)
    if retcode:
        print 'Error: '+' '.join(cmd)+' Returncode ['+str(retcode)+']'

def ssh_cmd(target, command):
    t = target.split(":")
    c = command.split()
    cmd = ["ssh",t[0],c[0],c[1],t[1]]
    retcode = subprocess.call(cmd)
    if retcode:
        print 'Error: '+' '.join(cmd)+' Returncode ['+str(retcode)+']'
